Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ListTarget

    java.lang.Object
      edu.stanford.smi.protege.util.ListTarget

All Implemented Interfaces:
  DropTargetListener, EventListener

    public class ListTarget

extends Object
implements DropTargetListener

A standard implementation of the drag target interface for dragging items around in a list box.

Author:
  Ray Fergerson

Constructor Summary
`ListTarget()`

Method Summary
`void` | `doDrop(JList list, Collection sources, int targetIndex, Object dropArea)`
`void` | `dragEnter(DropTargetDragEvent e)`
`void` | `dragExit(DropTargetEvent e)`
`void` | `dragOver(DropTargetDragEvent e)`
`void` | `dragScroll(DropTargetDragEvent e)`
`void` | `drop(DropTargetDropEvent e)`
`void` | `dropActionChanged(DropTargetDragEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListTarget

    public ListTarget()

Method Detail

### doDrop

    public void doDrop(JList list,
                       Collection sources,
                       int targetIndex,
                       Object dropArea)

### dragEnter

    public void dragEnter(DropTargetDragEvent e)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### dragExit

    public void dragExit(DropTargetEvent e)

  Specified by:
    `dragExit` in interface `DropTargetListener`

### dragOver

    public void dragOver(DropTargetDragEvent e)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### dragScroll

    public void dragScroll(DropTargetDragEvent e)

### drop

    public void drop(DropTargetDropEvent e)

  Specified by:
    `drop` in interface `DropTargetListener`

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.